# [THESAURUS SYNONYMS A DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-a-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-a-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-a-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-a-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-a-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l g.json
    11458 g.json
  
    $ du -sh a.js*
    207M	g.json
     17M	g.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-g-data) 📦

    npm i -S thesaurus-synonyms-g-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-g-data').loadSync()
```

    [ { key: 'gambrel roofs',
        datetime: '2018-03-24 13:41:50',
        page_number: 1,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gambrel%20roofs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/1' },
      { key: 'gambrel roof',
        datetime: '2018-03-24 13:41:50',
        page_number: 1,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gambrel%20roof/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/1' },
      { key: 'gambling wheel',
        datetime: '2018-03-24 13:41:50',
        page_number: 1,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gambling%20wheel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/1' },
      { key: 'gambling wheels',
        datetime: '2018-03-24 13:41:50',
        page_number: 1,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gambling%20wheels/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/1' },
      { key: 'gambrel',
        datetime: '2018-03-24 13:41:51',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0034000.ogg',
           'http://static.sfdict.com/audio/G00/G0034000.mp3' ],
        page_number: 1,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gambrel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/1' },
      { key: 'gambling polices',
        datetime: '2018-03-24 13:41:51',
        page_number: 1,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gambling%20polices/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/1' },
      { key: 'gambrels',
        datetime: '2018-03-24 13:41:55',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gambrels/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'garage band',
        datetime: '2018-03-24 13:41:59',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/garage%20band/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'garage',
        datetime: '2018-03-24 13:41:59',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0048300.ogg',
           'http://static.sfdict.com/audio/G00/G0048300.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/garage/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gar',
        datetime: '2018-03-24 13:41:59',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0048100.ogg',
           'http://static.sfdict.com/audio/G00/G0048100.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gar/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gapping',
        datetime: '2018-03-24 13:41:59',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0047900.ogg',
           'http://static.sfdict.com/audio/G00/G0047900.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gapping/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gapped',
        datetime: '2018-03-24 13:42:00',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gapped/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaping at',
        datetime: '2018-03-24 13:42:00',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaping%20at/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gapes at',
        datetime: '2018-03-24 13:42:00',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gapes%20at/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gapers',
        datetime: '2018-03-24 13:42:00',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gapers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaper',
        datetime: '2018-03-24 13:42:01',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0047400.ogg',
           'http://static.sfdict.com/audio/G00/G0047400.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaper/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaped at',
        datetime: '2018-03-24 13:42:01',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaped%20at/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'garrisoned',
        datetime: '2018-03-24 13:42:01',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/garrisoned/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'garrison states',
        datetime: '2018-03-24 13:42:02',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/garrison%20states/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'garrison state',
        datetime: '2018-03-24 13:42:02',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/garrison%20state/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas station',
        datetime: '2018-03-24 13:42:02',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20station/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas lamps',
        datetime: '2018-03-24 13:42:02',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20lamps/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas lamp',
        datetime: '2018-03-24 13:42:02',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20lamp/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas jets',
        datetime: '2018-03-24 13:42:02',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20jets/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas jet',
        datetime: '2018-03-24 13:42:02',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20jet/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas guzzlers',
        datetime: '2018-03-24 13:42:02',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20guzzlers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas guzzler',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20guzzler/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas grills',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20grills/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas grill',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20grill/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas chambers',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20chambers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas chamber',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20chamber/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas burners',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20burners/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas burner',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20burner/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas bladders',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20bladders/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas bladder',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20bladder/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas balloons',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20balloons/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'garrison',
        datetime: '2018-03-24 13:42:02',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0057100.ogg',
           'http://static.sfdict.com/audio/G00/G0057100.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/garrison/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaping',
        datetime: '2018-03-24 13:42:00',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaping/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaps',
        datetime: '2018-03-24 13:41:59',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaps/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gasoline stations',
        datetime: '2018-03-24 15:47:33',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gasoline%20stations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gasoline station',
        datetime: '2018-03-24 15:47:33',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gasoline%20station/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gasoline',
        datetime: '2018-03-24 15:47:33',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0061500.ogg',
           'http://static.sfdict.com/audio/G00/G0061500.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gasoline/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gasoliers',
        datetime: '2018-03-24 15:47:33',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gasoliers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gasolier',
        datetime: '2018-03-24 15:47:33',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0061400.ogg',
           'http://static.sfdict.com/audio/G00/G0061400.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gasolier/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gasohols',
        datetime: '2018-03-24 15:47:33',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gasohols/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gasohol',
        datetime: '2018-03-24 15:47:34',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0061200.ogg',
           'http://static.sfdict.com/audio/G00/G0061200.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gasohol/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaslights',
        datetime: '2018-03-24 15:47:34',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaslights/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaslight',
        datetime: '2018-03-24 15:47:34',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0060800.ogg',
           'http://static.sfdict.com/audio/G00/G0060800.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaslight/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gasket',
        datetime: '2018-03-24 15:47:34',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0060400.ogg',
           'http://static.sfdict.com/audio/G00/G0060400.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gasket/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gases up',
        datetime: '2018-03-24 15:47:36',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gases%20up/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaseous stomachs',
        datetime: '2018-03-24 15:47:36',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaseous%20stomachs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaseous stomach',
        datetime: '2018-03-24 15:47:36',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaseous%20stomach/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gaseous',
        datetime: '2018-03-24 15:47:36',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0059200.ogg',
           'http://static.sfdict.com/audio/G00/G0059200.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gaseous/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gascons',
        datetime: '2018-03-24 15:47:36',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gascons/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gascon',
        datetime: '2018-03-24 15:47:37',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/G00/G0058700.ogg',
           'http://static.sfdict.com/audio/G00/G0058700.mp3' ],
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gascon/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas-station',
        datetime: '2018-03-24 15:47:39',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas-station/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gas up',
        datetime: '2018-03-24 15:47:39',
        page_number: 2,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gas%20up/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/2' },
      { key: 'gat on one nerves',
        datetime: '2018-03-24 15:49:52',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20one%20nerves/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on line',
        datetime: '2018-03-24 15:49:54',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20line/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on it',
        datetime: '2018-03-24 15:49:55',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20it/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on horn',
        datetime: '2018-03-24 15:49:55',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20horn/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on good side of',
        datetime: '2018-03-24 15:49:55',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20good%20side%20of/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on credit',
        datetime: '2018-03-24 15:49:56',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20credit/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on beam',
        datetime: '2018-03-24 15:49:56',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20beam/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on bandwagon',
        datetime: '2018-03-24 15:49:56',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20bandwagon/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on act',
        datetime: '2018-03-24 15:49:56',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20act/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on a technicality',
        datetime: '2018-03-24 15:49:56',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20a%20technicality/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on a soapbox',
        datetime: '2018-03-24 15:49:56',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20a%20soapbox/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off track',
        datetime: '2018-03-24 15:49:57',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20track/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off the track',
        datetime: '2018-03-24 15:49:57',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20the%20track/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on nerves',
        datetime: '2018-03-24 15:49:53',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20nerves/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off the subject',
        datetime: '2018-03-24 22:29:01',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20the%20subject/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off the point',
        datetime: '2018-03-24 22:29:02',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20the%20point/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off the hook',
        datetime: '2018-03-24 22:29:02',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20the%20hook/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off technicality',
        datetime: '2018-03-24 22:29:04',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20technicality/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off subject',
        datetime: '2018-03-24 22:29:04',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20subject/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off someones case',
        datetime: '2018-03-24 22:29:04',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20someones%20case/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off someone case',
        datetime: '2018-03-24 22:29:04',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20someone%20case/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off scotfree',
        datetime: '2018-03-24 22:29:04',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20scotfree/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off scot-free',
        datetime: '2018-03-24 22:29:04',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20scot-free/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off scot free',
        datetime: '2018-03-24 22:29:05',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20scot%20free/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off point',
        datetime: '2018-03-24 22:29:05',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20point/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off ones chest',
        datetime: '2018-03-24 22:29:06',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20ones%20chest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off one chest',
        datetime: '2018-03-24 22:29:06',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20one%20chest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off on technicality',
        datetime: '2018-03-24 22:29:07',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20on%20technicality/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off on a technicality',
        datetime: '2018-03-24 22:29:07',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20on%20a%20technicality/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off on',
        datetime: '2018-03-24 22:29:07',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off hook',
        datetime: '2018-03-24 22:29:07',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20hook/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off course',
        datetime: '2018-03-24 22:29:08',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20course/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off chest',
        datetime: '2018-03-24 22:29:08',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20chest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat off a technicality',
        datetime: '2018-03-24 22:29:09',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20a%20technicality/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat nowhere',
        datetime: '2018-03-24 22:29:28',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20nowhere/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat on ones nerves',
        datetime: '2018-03-24 22:29:29',
        page_number: 4,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20on%20ones%20nerves/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/4' },
      { key: 'gat nose out of joint',
        datetime: '2018-03-24 22:29:33',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20nose%20out%20of%20joint/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat nose out joint',
        datetime: '2018-03-24 22:29:34',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20nose%20out%20joint/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat no place fast',
        datetime: '2018-03-24 22:29:34',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20no%20place%20fast/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat next to',
        datetime: '2018-03-24 22:29:36',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20next%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat near',
        datetime: '2018-03-24 22:29:40',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20near/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat moving',
        datetime: '2018-03-24 22:29:41',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20moving/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      { key: 'gat mileage out of',
        datetime: '2018-03-24 22:29:43',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20mileage%20out%20of/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' },
      ... 11358 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-g-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'gambrel roof'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-g-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('gat off course');
```

    { key: 'gat off course',
        datetime: '2018-03-24 22:29:08',
        page_number: 3,
        letter: 'g',
        word_url: 'http://www.thesaurus.com/browse/gat%20off%20course/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/g/3' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-g-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('gat off course', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'verb',
           words: [Array],
           ttl: 'turn aside, often to avoid collision' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      antonyms:
       [ { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] } ],
      related:
       [ { url: 'http://www.thesaurus.com/browse/swerve',
           text: 'swerve',
           words: [Array],
           def: 'verb. turn aside, often to avoid collision' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - game refuges

```json
{
  "key": "game refuges",
  "datetime": "2018-03-25 03:11:38",
  "page_number": 2,
  "letter": "g",
  "word_url": "http://www.thesaurus.com/browse/game%20refuges/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/shelter",
            "text": "shelter",
            "length": 1,
            "complexity": 1,
            "id": 1
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/park",
            "text": "park",
            "length": 1,
            "complexity": 1,
            "id": 2
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/national%20park",
            "text": "national park",
            "length": 3,
            "complexity": 3,
            "id": 3
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/retreat",
            "text": "retreat",
            "length": 1,
            "complexity": 1,
            "id": 4
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/asylum",
            "text": "asylum",
            "length": 1,
            "complexity": 1,
            "id": 5
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/refuge",
            "text": "refuge",
            "length": 1,
            "complexity": 2,
            "id": 6
          },
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/reserve",
            "text": "reserve",
            "length": 1,
            "complexity": 1,
            "id": 7
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/preserve",
            "text": "preserve",
            "length": 1,
            "complexity": 1,
            "id": 8
          },
          {
            "category": 2,
            "url": "http://www.thesaurus.com/browse/harborage",
            "text": "harborage",
            "length": 2,
            "complexity": 3,
            "id": 9
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/conservation%20area",
            "text": "conservation area",
            "length": 3,
            "complexity": 3,
            "id": 10
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/game%20refuge",
            "text": "game refuge",
            "length": 2,
            "complexity": 3,
            "id": 11
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/nature%20preserve",
            "text": "nature preserve",
            "length": 3,
            "complexity": 3,
            "id": 12
          }
        ],
        "ttl": "safe place for wildlife"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/sanctuary",
        "text": "sanctuary",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/asylum",
            "word": "asylum"
          },
          {
            "url": "http://www.thesaurus.com/browse/conservation%20area",
            "word": "conservation area"
          },
          {
            "url": "http://www.thesaurus.com/browse/game%20refuge",
            "word": "game refuge"
          },
          {
            "url": "http://www.thesaurus.com/browse/harborage",
            "word": "harborage"
          },
          {
            "url": "http://www.thesaurus.com/browse/national%20park",
            "word": "national park"
          },
          {
            "url": "http://www.thesaurus.com/browse/nature%20preserve",
            "word": "nature preserve"
          },
          {
            "url": "http://www.thesaurus.com/browse/park",
            "word": "park"
          },
          {
            "url": "http://www.thesaurus.com/browse/preserve",
            "word": "preserve"
          },
          {
            "url": "http://www.thesaurus.com/browse/refuge",
            "word": "refuge"
          },
          {
            "url": "http://www.thesaurus.com/browse/reserve",
            "word": "reserve"
          },
          {
            "url": "http://www.thesaurus.com/browse/retreat",
            "word": "retreat"
          },
          {
            "url": "http://www.thesaurus.com/browse/shelter",
            "word": "shelter"
          }
        ],
        "def": "noun. safe place for wildlife"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/g/2"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
